[DRE-commits] r2514 - in packages/libqt4-ruby/trunk/debian: . patches

fourmond at alioth.debian.org fourmond at alioth.debian.org
Mon Mar 10 20:56:14 UTC 2008


Author: fourmond
Date: 2008-03-10 20:56:14 +0000 (Mon, 10 Mar 2008)
New Revision: 2514

Added:
   packages/libqt4-ruby/trunk/debian/patches/05-kalyptus.dpatch
Modified:
   packages/libqt4-ruby/trunk/debian/changelog
   packages/libqt4-ruby/trunk/debian/control
   packages/libqt4-ruby/trunk/debian/patches/00list
Log:
[libqt4-ruby] Pulling SVN version of kalyptus to fix FTBS with recent Qt + various lintian fixes

Modified: packages/libqt4-ruby/trunk/debian/changelog
===================================================================
--- packages/libqt4-ruby/trunk/debian/changelog	2008-03-10 20:26:23 UTC (rev 2513)
+++ packages/libqt4-ruby/trunk/debian/changelog	2008-03-10 20:56:14 UTC (rev 2514)
@@ -1,3 +1,12 @@
+libqt4-ruby (1.4.9-9) unstable; urgency=medium
+
+  * 05-kalpyptus: pull newer kalyptus from upstream to fix a FTBS
+    (closes: #470273)
+  * Urgency medium to fix RC bug in testing
+  * Make lintian happier
+
+ -- Vincent Fourmond <fourmond at debian.org>  Mon, 10 Mar 2008 21:46:36 +0100
+
 libqt4-ruby (1.4.9-8) unstable; urgency=low
 
   * Updated Vcs-* fields

Modified: packages/libqt4-ruby/trunk/debian/control
===================================================================
--- packages/libqt4-ruby/trunk/debian/control	2008-03-10 20:26:23 UTC (rev 2513)
+++ packages/libqt4-ruby/trunk/debian/control	2008-03-10 20:56:14 UTC (rev 2514)
@@ -21,7 +21,8 @@
 
 Package: libqt4-ruby1.8
 Architecture: any
-Depends: libsmokeqt4-1 (>= ${binary:Version}), ruby, ruby1.8, libruby1.8
+Depends: libsmokeqt4-1 (>= ${binary:Version}), ruby, ruby1.8, 
+	 libruby1.8, ${shlibs:Depends}
 Suggests: qt4-doc
 Description: ruby bindings for the Qt4 GUI library
  Smoke-based ruby bindings for Qt4, the Trolltech GUI library.
@@ -34,7 +35,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Smoke library for Qt4
  This is the Smoke library for Qt4, on which bindings for different
- languages (ruby, python, perl...) can be based.
+ languages (ruby, Python, perl...) can be based.
 
 Package: libsmokeqt4-dev
 Architecture: any
@@ -42,7 +43,7 @@
 Depends: libsmokeqt4-1 (= ${binary:Version})
 Description: Smoke library for Qt4
  This is the Smoke library for Qt4, on which bindings for different
- languages (ruby, python, perl...) can be based.
+ languages (ruby, Python, perl...) can be based.
  .
  This package contains files needed for development with the
  Smoke Qt4 library.

Modified: packages/libqt4-ruby/trunk/debian/patches/00list
===================================================================
--- packages/libqt4-ruby/trunk/debian/patches/00list	2008-03-10 20:26:23 UTC (rev 2513)
+++ packages/libqt4-ruby/trunk/debian/patches/00list	2008-03-10 20:56:14 UTC (rev 2514)
@@ -1,3 +1,4 @@
+05-kalyptus
 10-fix-ruby-install-path
 25-fix-hppa-build
 28-optimization

Added: packages/libqt4-ruby/trunk/debian/patches/05-kalyptus.dpatch
===================================================================
--- packages/libqt4-ruby/trunk/debian/patches/05-kalyptus.dpatch	                        (rev 0)
+++ packages/libqt4-ruby/trunk/debian/patches/05-kalyptus.dpatch	2008-03-10 20:56:14 UTC (rev 2514)
@@ -0,0 +1,222 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 05-kalyptus.dpatch by  <fourmond at debian.org>
+##
+## DP: New kaplyptus from sv -r 780626
+
+ at DPATCH@
+diff -urNad libqt4-ruby-1.4.9~/kalyptus/kalyptus libqt4-ruby-1.4.9/kalyptus/kalyptus
+--- libqt4-ruby-1.4.9~/kalyptus/kalyptus	2007-06-02 19:15:00.000000000 +0200
++++ libqt4-ruby-1.4.9/kalyptus/kalyptus	2008-03-10 21:26:59.000000000 +0100
+@@ -2,7 +2,7 @@
+ 
+ # KDOC -- C++ and CORBA IDL interface documentation tool.
+ # Sirtaj Singh Kang <taj at kde.org>, Jan 1999.
+-# $Id: kalyptus 670846 2007-06-02 17:13:48Z rdale $
++# $Id$
+ 
+ # All files in this project are distributed under the GNU General
+ # Public License. This is Free Software.
+@@ -217,7 +217,7 @@
+ # Otherwise, compile the default ones. Used for filtering in readCxxLine.
+ if ( my @qt_defines = map { ($_=~m/^QT_(.*)/)[0] } keys %defines)
+ {
+-    my $regexp = "m/^#\\s*if\\s*[n!]?\\s*def(ined\\()?\\s*QT_(?:" . join('|', map { "\$qt_defines[$_]" } 0..$#qt_defines).")/o";
++    my $regexp = "m/^#\\s*if\\s*[n!]?\\s*def(ined\\()?\\s*QT_(?:" . join('|', map { "${qt_defines[$_]}" } 0..$#qt_defines).")/o";
+     $match_qt_defines = eval "sub { my \$s=shift;
+                                    \$s=~/^#\\s*if\\s*([n!])?\s*def(ined\\()?\\s*QT_/ || return 0;
+                                    if(!\$1) { return \$s=~$regexp ? 0:1 }
+@@ -446,7 +446,7 @@
+ 			}
+ 		}
+ 
+-		if ( $p =~ /^\s*Q_OBJECT/ ) {
++		if ( $p =~ /^\s*Q_OBJECT/ && $cNode->{astNodeName} ne 'Qt') {
+ 			if ($qt_embedded) {
+ 				push @inputqueue, @qte_codeqobject;
+ 			} elsif ($qt4) {
+@@ -457,20 +457,26 @@
+ 			next;
+ 		}
+ 		# Hack, waiting for real handling of preprocessor defines
++		$p =~ s/Q_OBJECT//;
++		$p =~ s/Q_PACKED//;
+ 		$p =~ s/Q_REQUIRED_RESULT//;
+ 		$p =~ s/QT_FASTCALL//;
+ 		$p =~ s/QT_ASCII_CAST_WARN//;
+ 		$p =~ s/QT_BEGIN_HEADER//;
+ 		$p =~ s/QT_END_HEADER//;
++		$p =~ s/QT_BEGIN_NAMESPACE//;
++		$p =~ s/QT_END_NAMESPACE//;
+ 		$p =~ s/QT_MODULE\(\w+\)//;
+ 		$p =~ s/QT_WEAK_SYMBOL//;
+ 		$p =~ s/QT_MOC_COMPAT//;
+ 		$p =~ s/Q_EXPORT_CODECS_BIG5//;
+ 		$p =~ s/Q_DECL_DEPRECATED//;
+ 		$p =~ s/Q_SCRIPTABLE//;
++		$p =~ s/Q_INVOKABLE//;
+ 		$p =~ s/QT_STATIC_CONST_IMPL/const/;
+ 		$p =~ s/QT_STATIC_CONST/static const/;
+ 		$p =~ s/QT_COMPAT / /;
++		$p =~ s/#ifdef QT_GUI_LIB//;
+ 		$p =~ s/Q_CLASSINFO\(.*\)//;
+ 		$p =~ s/Q_DISABLE_COPY\(\s*(\w+)\s*\)/$1(const $1 &);\n$1 &operator=(const $1 &);/;
+ 		$p =~ s/QWIDGETSIZE_MAX/32767/; # Qt/E uses this #define as an enum value - yuck!
+@@ -502,6 +508,7 @@
+ 		$p =~ s/Q_DECLARE_BUILTIN_METATYPE[^\)]*\)//;
+ 		$p =~ s/Q_[A-Z]+_EXPORT_INLINE//;
+ 		$p =~ s/mutable\s+bool/bool/;
++		$p =~ s/KLibFactory/KPluginFactory/;
+ 		if ( $p =~ m/KDOM_DEFINE_PROTOTYPE\((\w+)\)/ ) {
+ 			push @inputqueue, split('\n',"namespace KDOM {\nclass $1 {\n};\n};");
+ 		}
+@@ -514,7 +521,6 @@
+ 
+ 		next if ( $p =~ /^\s*Q_ENUMS/           # ignore Q_ENUMS
+                         || $p =~ /^\s*Q_FLAGS/       # and Q_FLAGS
+-                        || $p =~ /^\s*Q_DECLARE_FLAGS/       # and Q_DECLARE_FLAGS
+ #                        || $p =~ /^\s*QDOC_PROPERTY/
+                         || $p =~ /^\s*Q_GADGET/
+                         || $p =~ /^\s*Q_OVERRIDE/       # and Q_OVERRIDE
+@@ -524,7 +530,6 @@
+                         || $p =~ /^\s*K_SYCOCAFACTORY/  #
+                         || $p =~ /^\s*KSVG_/            # and KSVG stuff ;)
+ 						|| $p =~ /^\s*KDOM_/			# and KDOM stuff :(
+-						|| $p =~ /^\s*Q_DECLARE_FLAGS/
+ 						|| $p =~ /^\s*Q_DECLARE_OPERATORS_FOR_FLAGS/
+ 						|| $p =~ /^\s*Q_DECLARE_PRIVATE/
+ 						|| $p =~ /^\s*Q_DECLARE_TYPEINFO/
+@@ -573,11 +578,16 @@
+ 				     $p =~ m/^#\s*ifdef\s+QT_COMPAT/ or
+ 				     $p =~ m/^#\s*if\s+defined\s*\(?QT_COMPAT/ or
+ 				     $p =~ m/^#\s*ifdef\s+CONTAINER_CUSTOM_WIDGETS/ or
++				     $p =~ m/^#\s*ifdef\s+Q_COMPILER_MANGLES_RETURN_TYPE/ or
++				     $p =~ m/^#ifndef\s+QT_NO_CAST_TO_ASCII/ or
++				     $p =~ m/^#if\s+\(defined\(__arm__\)\s+\|\|\s+defined\(__ARMEL__\)\)/ or
++				     $p =~ m/^#\s*ifdef\s+Q_MAC_COMPAT_GL_FUNCTIONS/ or
+ 				     $p =~ m/^#\s*ifdef\s+QT3_SUPPORT/ or
+ 				     $p =~ m/^#\s*ifdef\s+KDE3_SUPPORT/ or
+ 				     $p =~ m/^#\s*ifdef\s+Q_WS_WIN/ or
+ 				     $p =~ m/^#if\s*!?defined\(Q_WS_WIN\)/ or
+ 				     $p =~ m/^#if\s*!?defined\(Q_OS_WIN32\)/ or
++				     $p =~ m/^#\s*ifdef\s+Q_OS_WINCE/ or
+ 				     $p =~ m/^#\s*ifdef\s+Q_OS_UNIX/ or
+ 				     $p =~ m/^#\s*ifdef\s+Q_MOC_RUN/ or
+ 				     $p =~ m/^#\s*if\s+defined\s*\(QT3_SUPPORT/ or
+@@ -587,6 +597,7 @@
+ 				     $p =~ m/^#if\s*!defined\(Q_NO_USING_KEYWORD\)/ or
+ 				     $p =~ m/^#if\s*defined\(Q_INTERNAL_QAPP_SRC\)/ or
+ 				     ($p =~ m/^#if\s*QT_VERSION\s*<\s*0x040000/ and $qt4) or
++				     ($p =~ m/^#if\s*QT_VERSION\s*<\s*0x040400/ and $qt4) or
+ 				     &$match_qt_defines( $p ) or
+ 				     $p =~ m/^#\s*if\s+0\s+/ ) {
+ 				     my $if_depth = 1;
+@@ -713,8 +724,9 @@
+ 	elsif ( $l =~ m#^\s*/\*\*# ) {	# doc comment
+ 		$declNodeType = "c";
+ 		return $l;
+-	}
+-	elsif ( $l =~ /Q(DOC)?_PROPERTY/ ) {	# property
++	} elsif ( $l =~ /Q_DECLARE_FLAGS/ ) {	# flags
++		return $l;
++	} elsif ( $l =~ /Q(DOC)?_PROPERTY/ ) {	# property
+ 		do {
+ 			$decl .= $l;
+ 			my $lparens = kdocUtil::countReg( $decl, '\(' );
+@@ -800,15 +812,15 @@
+ 			undef $docNode;
+ 		}
+ 
+-	}
+-	elsif ( $declNodeType eq "a" ) {
++	} elsif ( $declNodeType eq "a" ) {
+ 		newAccess( $decl );
+-	}
+-        elsif ( $declNodeType eq "k" ) {
+-	        $cNode->AddProp( "DcopExported", 1 );
+-        }
++	} elsif ( $declNodeType eq "k" ) {
++	    $cNode->AddProp( "DcopExported", 1 );
+     # properties
+-    elsif ( $decl =~ s/Q(DOC)?_PROPERTY// ) {
++    } elsif ( $decl =~ s/Q_DECLARE_FLAGS\(([^\)]+)\)// ) {
++		print "Flags: <$1>\n" if $debug;
++		$newNode = newFlags( $1 );
++    } elsif ( $decl =~ s/Q(DOC)?_PROPERTY// ) {
+ 		print "Property: <$1>\n" if $debug;
+ 		
+ 		$newNode = newProperty( $decl );
+@@ -967,8 +979,8 @@
+ 		$skipBlock = 1; # FIXME check end token before doing this!
+ 	}
+ 	# Using: import namespace
+-	elsif ( $decl =~ /^\s*using\s+namespace\s+(\w+)/ ) {
+-		newNamespace( $1 );
++	elsif ( $decl =~ /^\s*using(\s+namespace)?\s+(\w+)/ ) {
++		newNamespace( $2 );
+ 
+ 	}
+ 
+@@ -1053,7 +1065,7 @@
+ 		$inExtern = 0;
+ 	}
+ 	# end of an in-block declaration
+-	elsif ( $decl =~ /^\s*}\s*(.*?)\s*;\s*$/ || ($decl =~ /^\s*}\s*$/ && $inNamespace) ) {
++	elsif ( $decl =~ /^\s*}\s*(.*?)\s*;\s*$/ || ($decl =~ /^\s*}\s*$/) ) {
+ 		if ( $cNode->{astNodeName} eq "--" ) {
+ 			# structure typedefs should have no name preassigned.
+ 			# If they do, then the name in 
+@@ -1675,7 +1687,7 @@
+ 
+ 		# The RE below reads as: = ( string constant or char or cast to numeric literal
+ 		# or some word/number, with optional bitwise shifts, OR'ed or +'ed flags, and/or function call ).
+-		if ( $arg =~ s/\s*=\s*(("[^\"]*")|\([^)]*\)\s*[\+-]?\s*[0-9]+|(\'.\')|(([-\w:~]*)\s*([<>\|\+-]*\s*[\w:._]*\s*)*(\([^(]*\))?))// ) {
++		if ( $arg =~ s/\s*=\s*(("[^\"]*")|\([^)]*\)\s*[\+-]?\s*[0-9]+|(\'.\')|(([-\w:~]*)\s*((\*|[<>\|\+-])*\s*[\w:._]*\s*)*(\([^(]*\))?))// ) {
+ 			$defaultparam = $1;
+ 		}
+ 		
+@@ -1784,7 +1796,7 @@
+     $property =~ s/^\s+|\s+$//g;  
+     $property =~ s/\(\s+/(/g;  
+     $property =~ s/\s+\)/)/g;  
+-    my @items = split(/ /,$property);
++    my @items = split(/\s+/,$property);
+ 
+     do {
+ 	    my ( $node ) = Ast::New( "Q_PROPERTY_" . $items[1] );
+@@ -1806,6 +1818,36 @@
+     } if defined $items[1];
+ }
+ 
++=head2 newFlags
++
++	Parameters: flags, enum
++
++	Handles a Q_DECLARE_FLAGS macro
++
++=cut
++
++sub newFlags
++{
++	my ( $flags ) = @_;
++
++    $flags =~ s/^\s+//g;  
++    $flags =~ s/\s+$/)/g;  
++    my @items = split(/\s*,\s*/, $flags);
++
++    do {
++        my $type = $items[0];
++        my $enum = $items[1];
++	    my ( $node ) = Ast::New( $type );
++	    $node->AddProp( "NodeType", "flags" );
++        $node->AddProp( "Type", $type );
++        $node->AddProp( "Enum", $enum );
++
++        $cNode->{KidAccess} = "public";
++	    kdocAstUtil::attachChild( $cNode, $node );
++        return $node;
++
++    } if defined $items[1];
++}
+ 
+ =head2 show_usage
+ 


Property changes on: packages/libqt4-ruby/trunk/debian/patches/05-kalyptus.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-ruby-extras-commits mailing list